#
# spec file for package patterns-lxqt
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_with betatest

Name:           patterns-lxqt
Version:        20220914
Release:        1.2
Summary:        Patterns for Installation (LXQt)
License:        MIT
Group:          Metapackages
URL:            https://github.com/openSUSE/patterns
Source0:        %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  patterns-rpm-macros

%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

This particular package contains the LXQt patterns.



################################################################################

%package lxqt
%pattern_graphicalenvironments
Summary:        LXQt Desktop Environment
Group:          Metapackages
Provides:       pattern() = lxqt
Provides:       pattern-icon() = pattern-lxqt
Provides:       pattern-order() = 1460
Provides:       pattern-visible()

Requires:       breeze5-icons
Requires:       lxqt-about
Requires:       lxqt-config
Requires:       lxqt-globalkeys
Requires:       lxqt-notificationd
Requires:       lxqt-openssh-askpass
Requires:       lxqt-panel
Requires:       lxqt-policykit
Requires:       lxqt-powermanagement
Requires:       lxqt-qtplugin
Requires:       lxqt-runner
Requires:       lxqt-session
Requires:       lxqt-sudo
Requires:       lxqt-themes
Requires:       oxygen5-icon-theme
Requires:       pattern() = x11
Recommends:     xdg-desktop-portal-lxqt
Recommends:     pattern() = multimedia
# non core packages belonging to LXQt organization
Recommends:     compton-conf
Recommends:     featherpad
Recommends:     lximage-qt
Recommends:     lxqt-archiver
Recommends:     obconf-qt
Recommends:     pavucontrol-qt
Recommends:     pcmanfm-qt
Recommends:     picom
Recommends:     qterminal
Recommends:     screengrab

Suggests:       qps
Suggests:       qlipper

%if 0%{suse_version} > 1500
# Pipewire is the default sound server.
Recommends:     pipewire-pulseaudio
%else
# Pulseaudio is the default sound server
Recommends:     pulseaudio-module-bluetooth
Recommends:     pulseaudio-module-gconf
Recommends:     pulseaudio-module-lirc
Recommends:     pulseaudio-module-x11
Recommends:     pulseaudio-module-zeroconf
%endif
Recommends:     pulseaudio-utils

#
Recommends:     openbox
Recommends:     firefox
Recommends:     sddm
Recommends:     xdg-user-dirs
Recommends:     xdg-utils
Recommends:     xorg-x11-essentials
Recommends:     xscreensaver
# misc
Recommends:     ark
Recommends:     claws-mail

Recommends:     apper
Recommends:     pk-update-icon

Recommends:     NetworkManager
Recommends:     avahi
Recommends:     kdesu
Recommends:     libyui-qt-pkg
Recommends:     simple-scan
Recommends:     system-config-printer
Recommends:     yast2-control-center-qt
# at some point nm-tray might be better
Recommends:     NetworkManager-applet
Recommends:     desktop-data-openSUSE
Recommends:     google-droid-fonts
Recommends:     samba
Suggests:       hplip

%description lxqt
LXQt is a lightweight desktop environment based on Qt.

%files lxqt
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/lxqt.txt

################################################################################

%prep

%build

%install
mkdir -p %{buildroot}/%{_defaultdocdir}/patterns/
echo 'This file marks the pattern lxqt to be installed.' >%{buildroot}/%{_defaultdocdir}/patterns/lxqt.txt

%changelog
* Wed Sep 14 2022 Shawn Dunn <sfalken@cloverleaf-linux.org>
- Bump version to 20220914
- Added Recommends: picom, to provide desktop compositor within openbox
- Added Recommends: compton-conf, so you can configure picom from the desktop (picom is compton replacment)
- Added Recommends: screengrab, actual screenshot functionality has been moved from lximage-qt to screengrab, upstream
* Sat Aug 27 2022 Shawn Dunn <sfalken@cloverleaf-linux.org>
- Bump version to 20220827
- Remove Recommends: obconf, no good reason to have both the GTK and Qt versions installed.
* Thu Aug 18 2022 Michael Vetter <mvetter@suse.com>
- Bump version to 20220818
- Use firefox as default browser (as other desktops as well)
  Qupzilla isn't a thing anymore it is called Falkon now
* Fri Aug 12 2022 Shawn Dunn <sfalken@cloverleaf-linux.org>
- Bump Version to 20220812
- Change LightDM for sddm, as display manager, it integrates better, and is well maintained for KDE
* Tue Jul  5 2022 Antonio Larrosa <alarrosa@suse.com>
- Use pipewire as default audio server in TW.
* Fri Apr 29 2022 Michael Vetter <mvetter@suse.com>
- Recommend xdg-desktop-portal-lxqt (new with LXQt 1.1.0)
* Sun May 17 2020 Michael Vetter <mvetter@suse.com>
- Add new lxqt-archiver to recommends
* Fri Feb  7 2020 Michael Vetter <mvetter@suse.com>
- bsc#1159958: Use breeze icon theme
  Paper doesn't have yast icons yet.
* Tue Oct 23 2018 mvetter@suse.com
- bsc#1112961: Require Paper icon theme
  It gets set in lxqt-session
* Tue Oct 23 2018 mvetter@suse.com
- bsc#1084751: Make sure oxygen icon theme is installed
  Even if we use another later this is used as fallback by LXQt
* Tue Jul  3 2018 mvetter@suse.com
- bsc#1097842: Add pattern-icon so it displays in the installer.
  Depends on addition of LXQt icon to yast2-branding-openSUSE,
  which got merged already.
* Wed Jun 20 2018 mvetter@suse.com
- Remove depracated: Requires: lxqt-l10n
  Package provide their translations now
* Wed Jun 20 2018 mvetter@suse.com
- Update for LXQt 0.13.0 (bsc#1097856):
  * Add featherpad to requires so LXQt (bsc#1055746)
    It's the new default editor of LXQt
  * Suggest qps, process manager
  * Suggest qlipper, clipboard manager
* Sun May 20 2018 mvetter@suse.com
- Remove Recommends: xfce4-power-manager:
  we have lxqt-powermanagement
- Remove Recommends: xfce4-screenshooter:
  lximage-qt does this via the -s option. It also has comes with
  a desktop file to have this easily available
* Mon Oct 23 2017 mvetter@suse.com
- Remove deprecated lxqt-common
- Add new lxqt-themes
* Thu Sep 14 2017 mvetter@suse.com
- boo#1054519:
  Recommend xdg-user-dirs so standard XDG dirs are created
* Mon Apr 10 2017 jengelh@inai.de
- Use macros over old $RPM shell vars.
* Thu Mar 16 2017 sflees@suse.de
- Create new package from old unified patterns package
